Package org.bukkit.inventory.meta

# Interface Repairable

All Superinterfaces:
  `Cloneable`, `ConfigurationSerializable`, `ItemMeta`, `PersistentDataHolder`

public interface Repairable extends ItemMeta
Represents an item that can be repaired at an anvil.

## Method Summary

Modifier and Type
Method
Description
`@NotNull Repairable`
`clone()`
`int`
`getRepairCost()`
Gets the repair penalty
`boolean`
`hasRepairCost()`
Checks to see if this has a repair penalty
`void`
`setRepairCost(int cost)`
Sets the repair penalty

### Methods inherited from interface org.bukkit.configuration.serialization.ConfigurationSerializable

`serialize`

### Methods inherited from interface org.bukkit.inventory.meta.ItemMeta

`addAttributeModifier, addEnchant, addItemFlags, displayName, displayName, getAsString, getAttributeModifiers, getAttributeModifiers, getAttributeModifiers, getCanDestroy, getCanPlaceOn, getCustomModelData, getCustomTagContainer, getDestroyableKeys, getDisplayName, getDisplayNameComponent, getEnchantLevel, getEnchants, getItemFlags, getLocalizedName, getLore, getLoreComponents, getPlaceableKeys, hasAttributeModifiers, hasConflictingEnchant, hasCustomModelData, hasDestroyableKeys, hasDisplayName, hasEnchant, hasEnchants, hasItemFlag, hasLocalizedName, hasLore, hasPlaceableKeys, isUnbreakable, lore, lore, removeAttributeModifier, removeAttributeModifier, removeAttributeModifier, removeEnchant, removeItemFlags, setAttributeModifiers, setCanDestroy, setCanPlaceOn, setCustomModelData, setDestroyableKeys, setDisplayName, setDisplayNameComponent, setLocalizedName, setLore, setLoreComponents, setPlaceableKeys, setUnbreakable, setVersion`

### Methods inherited from interface org.bukkit.persistence.PersistentDataHolder

`getPersistentDataContainer`

## Method Details

### hasRepairCost

boolean hasRepairCost()
Checks to see if this has a repair penalty

Returns:
  true if this has a repair penalty

### getRepairCost

int getRepairCost()
Gets the repair penalty

Returns:
  the repair penalty

### setRepairCost

void setRepairCost(int cost)
Sets the repair penalty

Parameters:
  `cost` - repair penalty

### clone

@NotNull @NotNull Repairable clone()

Specified by:
  `clone` in interface `ItemMeta`